version: '3.8'
services:
  frontend:
    build:
      context: .
      dockerfile: Dockerfile
    image: efc_frontend_dev:latest
    ports:
      - "5173:5173"
    volumes:
      - .:/app
    environment:
      - NODE_ENV=development
    command: ["npm", "run", "dev", "--", "--host"]
    restart: unless-stopped
